#include<fstream>
using namespace std;
int main()
{
	ifstream f1("DEMTU.INP");
	ofstream f2("DEMTU.OUT");
	char s[256];
	f1.getline(s,255);
	int i;
	int l=0;
	int j=0;
	for(i=0;i<255;i++)
	{
		if(s[i]==' ') j=i;
		else break;
	}
	for(i=j;i<254;i++)
	{
		if(s[i]==' ')
		{
			if(s[i+1]!=' ') l++;
		}
	}
	f1.close();
	f2<<l;
	f2.close();
	return 0;
}
